Skip to navigation

Relative Adjustment

Add or subtract inventory for an inventory item at a location. Use this endpoint only when you do not know absolute quantities. For example, making order-related inventory changes through a third-party may require relative adjustments. Otherwise, use the Absolute adjustment endpoint for updating inventory.

Limits

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
itemslist of objectsRequired

One of the sku, product_id, or variant_id is required to identify the item.

reasonstringOptional
Reason for the adjustment operation.

Response

Request has been successfully processed.
transaction_idstringOptional
Unique identifier of performed action.

Errors

422
Unprocessable Entity Error